--- chirp/detect.py.orig	2020-10-05 13:39:00 UTC
+++ chirp/detect.py
@@ -31,7 +31,7 @@ class DetectorRadio(chirp_common.Radio):
 
 
 def _icom_model_data_to_rclass(md):
-    for _rtype, rclass in directory.DRV_TO_RADIO.items():
+    for _rtype, rclass in list(directory.DRV_TO_RADIO.items()):
         if rclass.VENDOR != "Icom":
             continue
         if not hasattr(rclass, 'get_model') or not rclass.get_model():
@@ -50,7 +50,7 @@ def _detect_icom_radio(ser):
         ser.baudrate = 9600
         md = icf.get_model_data(DetectorRadio(ser))
         return _icom_model_data_to_rclass(md)
-    except errors.RadioError, e:
+    except errors.RadioError as e:
         LOG.error("_detect_icom_radio: %s", e)
 
     # ICOM IC-91/92 Live-mode radios @ 4800/38400 baud
@@ -101,11 +101,11 @@ def detect_kenwoodlive_radio(port):
     ser.close()
 
     models = {}
-    for rclass in directory.DRV_TO_RADIO.values():
+    for rclass in list(directory.DRV_TO_RADIO.values()):
         if rclass.VENDOR == "Kenwood":
             models[rclass.MODEL] = rclass
 
-    if r_id in models.keys():
+    if r_id in list(models.keys()):
         return models[r_id]
     else:
         raise errors.RadioError("Unsupported model `%s'" % r_id)
