--- chirp/drivers/ft817.py.orig	2020-10-05 17:12:55 UTC
+++ chirp/drivers/ft817.py
@@ -215,10 +215,10 @@ class FT817Radio(yaesu_clone.YaesuCloneModeRadio):
         #seekto 0x1979;
         struct mem_struct sixtymeterchannels[5];
     """
-    _CALLSIGN_CHARSET = [chr(x) for x in range(ord("0"), ord("9") + 1) +
-                         range(ord("A"), ord("Z") + 1) + [ord(" ")]]
-    _CALLSIGN_CHARSET_REV = dict(zip(_CALLSIGN_CHARSET,
-                                     range(0, len(_CALLSIGN_CHARSET))))
+    _CALLSIGN_CHARSET = [chr(x) for x in list(range(ord("0"), ord("9") + 1)) +
+                         list(range(ord("A"), ord("Z") + 1)) + [ord(" ")]]
+    _CALLSIGN_CHARSET_REV = dict(list(zip(_CALLSIGN_CHARSET,
+                                     list(range(0, len(_CALLSIGN_CHARSET))))))
 
     # WARNING Index are hard wired in memory management code !!!
     SPECIAL_MEMORIES = {
@@ -271,8 +271,8 @@ class FT817Radio(yaesu_clone.YaesuCloneModeRadio):
 
     SPECIAL_MEMORIES.update(SPECIAL_PMS)
 
-    SPECIAL_MEMORIES_REV = dict(zip(SPECIAL_MEMORIES.values(),
-                                    SPECIAL_MEMORIES.keys()))
+    SPECIAL_MEMORIES_REV = dict(list(zip(list(SPECIAL_MEMORIES.values()),
+                                    list(SPECIAL_MEMORIES.keys()))))
 
     @classmethod
     def get_prompts(cls):
@@ -413,7 +413,7 @@ class FT817Radio(yaesu_clone.YaesuCloneModeRadio):
             self._mmap = self._clone_in()
         except errors.RadioError:
             raise
-        except Exception, e:
+        except Exception as e:
             raise errors.RadioError("Failed to communicate with radio: %s" % e)
         self.process_mmap()
 
@@ -422,7 +422,7 @@ class FT817Radio(yaesu_clone.YaesuCloneModeRadio):
             self._clone_out()
         except errors.RadioError:
             raise
-        except Exception, e:
+        except Exception as e:
             raise errors.RadioError("Failed to communicate with radio: %s" % e)
 
     def process_mmap(self):
@@ -516,7 +516,7 @@ class FT817Radio(yaesu_clone.YaesuCloneModeRadio):
             _mem = self._memobj.qmb
             immutable = ["number", "skip", "extd_number",
                          "name", "dtcs_polarity", "power", "comment"]
-        elif mem.number in self.SPECIAL_PMS.values():
+        elif mem.number in list(self.SPECIAL_PMS.values()):
             bitindex = -self.LAST_PMS_INDEX + mem.number
             used = (self._memobj.pmsvisible >> bitindex) & 0x01
             valid = (self._memobj.pmsfilled >> bitindex) & 0x01
@@ -539,7 +539,7 @@ class FT817Radio(yaesu_clone.YaesuCloneModeRadio):
         return mem
 
     def _set_special(self, mem):
-        if mem.empty and mem.number not in self.SPECIAL_PMS.values():
+        if mem.empty and mem.number not in list(self.SPECIAL_PMS.values()):
             # can't delete special memories!
             raise Exception("Sorry, special memory can't be deleted")
 
@@ -558,7 +558,7 @@ class FT817Radio(yaesu_clone.YaesuCloneModeRadio):
             _mem = self._memobj.home[5 + mem.number]
         elif mem.number == -1:
             _mem = self._memobj.qmb
-        elif mem.number in self.SPECIAL_PMS.values():
+        elif mem.number in list(self.SPECIAL_PMS.values()):
             # this case has to be last because 817 pms keys overlap with
             # 857 derived class other special memories
             bitindex = -self.LAST_PMS_INDEX + mem.number
@@ -1141,8 +1141,8 @@ class FT817NDUSRadio(FT817Radio):
     SPECIAL_MEMORIES = dict(FT817Radio.SPECIAL_MEMORIES)
     SPECIAL_MEMORIES.update(SPECIAL_60M)
 
-    SPECIAL_MEMORIES_REV = dict(zip(SPECIAL_MEMORIES.values(),
-                                    SPECIAL_MEMORIES.keys()))
+    SPECIAL_MEMORIES_REV = dict(list(zip(list(SPECIAL_MEMORIES.values()),
+                                    list(SPECIAL_MEMORIES.keys()))))
 
     def _get_special_60m(self, number):
         mem = chirp_common.Memory()
@@ -1181,10 +1181,10 @@ class FT817NDUSRadio(FT817Radio):
         self._set_memory(mem, _mem)
 
     def get_memory(self, number):
-        if number in self.SPECIAL_60M.keys():
+        if number in list(self.SPECIAL_60M.keys()):
             return self._get_special_60m(number)
         elif number < 0 and \
-                self.SPECIAL_MEMORIES_REV[number] in self.SPECIAL_60M.keys():
+                self.SPECIAL_MEMORIES_REV[number] in list(self.SPECIAL_60M.keys()):
             # I can't stop delete operation from loosing extd_number but
             # I know how to get it back
             return self._get_special_60m(self.SPECIAL_MEMORIES_REV[number])
@@ -1192,7 +1192,7 @@ class FT817NDUSRadio(FT817Radio):
             return FT817Radio.get_memory(self, number)
 
     def set_memory(self, memory):
-        if memory.number in self.SPECIAL_60M.values():
+        if memory.number in list(self.SPECIAL_60M.values()):
             return self._set_special_60m(memory)
         else:
             return FT817Radio.set_memory(self, memory)
