--- chirp/drivers/icf.py.orig	2020-10-05 15:14:12 UTC
+++ chirp/drivers/icf.py
@@ -109,7 +109,7 @@ class RadioStream:
                     frames.append(frame)
 
                 self.data = rest
-            except errors.InvalidDataError, e:
+            except errors.InvalidDataError as e:
                 LOG.error("Failed to parse frame (cmd=%i): %s" % (cmd, e))
                 return []
 
@@ -314,7 +314,7 @@ def clone_from_radio(radio):
     """Do a full clone out of the radio's memory"""
     try:
         return _clone_from_radio(radio)
-    except Exception, e:
+    except Exception as e:
         raise errors.RadioError("Failed to communicate with the radio: %s" % e)
 
 
@@ -405,7 +405,7 @@ def clone_to_radio(radio):
     """Initiate a full memory clone out to @radio"""
     try:
         return _clone_to_radio(radio)
-    except Exception, e:
+    except Exception as e:
         logging.exception("Failed to communicate with the radio")
         raise errors.RadioError("Failed to communicate with the radio: %s" % e)
 
@@ -450,7 +450,7 @@ def convert_data_line(line):
             val = int("%s%s" % (data[i], data[i+1]), 16)
             i += 2
             _mmap += struct.pack("B", val)
-        except ValueError, e:
+        except ValueError as e:
             LOG.debug("Failed to parse byte: %s" % e)
             break
 
@@ -566,7 +566,7 @@ class IcomIndexedBankModel(IcomBankModel,
             raise Exception("Memory %i is not in bank %s" % (memory.number,
                                                              bank))
 
-        if index not in range(*self._radio._bank_index_bounds):
+        if index not in list(range(*self._radio._bank_index_bounds)):
             raise Exception("Invalid index")
         self._radio._set_bank_index(memory.number, index)
 
@@ -642,7 +642,7 @@ class IcomCloneModeRadio(chirp_common.CloneModeRadio):
                 val = int("%s%s" % (bcddata[i], bcddata[i+1]), 16)
                 i += 2
                 data += struct.pack("B", val)
-            except ValueError, e:
+            except ValueError as e:
                 LOG.error("Failed to parse byte: %s" % e)
                 break
 
