--- chirp/ui/editorset.py.orig	2020-10-05 13:39:00 UTC
+++ chirp/ui/editorset.py
@@ -233,7 +233,7 @@ class EditorSet(gtk.VBox):
         if not isinstance(self.radio, chirp_common.LiveRadio):
             self.modified = True
             self.update_tab()
-        for editor in self.editors.values():
+        for editor in list(self.editors.values()):
             if editor != target_editor:
                 editor.other_editor_changed(target_editor)
 
@@ -300,7 +300,7 @@ class EditorSet(gtk.VBox):
             common.show_error("Memory editor must be selected before import")
         try:
             src_radio = directory.get_radio_by_image(filen)
-        except Exception, e:
+        except Exception as e:
             common.show_error(e)
             return
 
@@ -314,7 +314,7 @@ class EditorSet(gtk.VBox):
             try:
                 src_radio.status_fn = status
                 src_radio.do_fetch()
-            except Exception, e:
+            except Exception as e:
                 common.show_error(e)
                 ww.hide()
                 return
@@ -323,7 +323,7 @@ class EditorSet(gtk.VBox):
         try:
             if src_radio.get_features().has_sub_devices:
                 src_radio = self.choose_sub_device(src_radio)
-        except Exception, e:
+        except Exception as e:
             common.show_error(e)
             return
 
@@ -339,7 +339,7 @@ class EditorSet(gtk.VBox):
                                            src_radio,
                                            self.rthread)
             reporting.report_model_usage(src_radio, "importsrc", True)
-        except Exception, e:
+        except Exception as e:
             common.log_exception()
             common.show_error(_("There was an error during "
                                 "import: {error}").format(error=e))
@@ -352,7 +352,7 @@ class EditorSet(gtk.VBox):
                 dst_radio = generic_xml.XMLRadio(filen)
             else:
                 raise Exception(_("Unsupported file type"))
-        except Exception, e:
+        except Exception as e:
             common.log_exception()
             common.show_error(e)
             return
@@ -365,7 +365,7 @@ class EditorSet(gtk.VBox):
             count = self._do_import_locked(importdialog.ExportDialog,
                                            self.rthread.radio,
                                            dst_rthread)
-        except Exception, e:
+        except Exception as e:
             common.log_exception()
             common.show_error(_("There was an error during "
                                 "export: {error}").format(error=e),
@@ -380,7 +380,7 @@ class EditorSet(gtk.VBox):
 
         try:
             dst_radio.save(filename=filen)
-        except Exception, e:
+        except Exception as e:
             common.log_exception()
             common.show_error(_("There was an error during "
                                 "export: {error}").format(error=e),
@@ -401,7 +401,7 @@ class EditorSet(gtk.VBox):
 
     def tab_selected(self, notebook, foo, pagenum):
         widget = notebook.get_nth_page(pagenum)
-        for k, v in self.editors.items():
+        for k, v in list(self.editors.items()):
             if v and v.root == widget:
                 v.focus()
                 self.emit("editor-selected", k)
@@ -409,19 +409,19 @@ class EditorSet(gtk.VBox):
                 v.unfocus()
 
     def set_read_only(self, read_only=True):
-        for editor in self.editors.values():
+        for editor in list(self.editors.values()):
             editor and editor.set_read_only(read_only)
 
     def get_read_only(self):
         return self.editors["memedit0"].get_read_only()
 
     def prepare_close(self):
-        for editor in self.editors.values():
+        for editor in list(self.editors.values()):
             editor and editor.prepare_close()
 
     def get_current_editor(self):
         tabs = self.tabs
-        for lab, e in self.editors.items():
+        for lab, e in list(self.editors.items()):
             if e and tabs.page_num(e.root) == tabs.get_current_page():
                 return e
         raise Exception("No editor selected?")
