--- chirp/drivers/rfinder.py.orig	2020-10-05 15:16:15 UTC
+++ chirp/drivers/rfinder.py
@@ -13,7 +13,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-import urllib
+import urllib.request, urllib.parse, urllib.error
 import hashlib
 import re
 import logging
@@ -180,7 +180,7 @@ class RFinderParser:
         LOG.debug(user)
         LOG.debug(pw)
         args = {
-            "email": urllib.quote_plus(user),
+            "email": urllib.parse.quote_plus(user),
             "pass": hashlib.new("md5", pw).hexdigest(),
             "lat": "%7.5f" % coords[0],
             "lon": "%7.5f" % coords[1],
@@ -189,11 +189,11 @@ class RFinderParser:
             }
 
         _url = "https://www.rfinder.net/query.php?%s" % \
-               ("&".join(["%s=%s" % (k, v) for k, v in args.items()]))
+               ("&".join(["%s=%s" % (k, v) for k, v in list(args.items())]))
 
         LOG.debug("Query URL: %s" % _url)
 
-        f = urllib.urlopen(_url)
+        f = urllib.request.urlopen(_url)
         data = f.read()
         f.close()
 
@@ -240,7 +240,7 @@ class RFinderParser:
                 dist = distance(self.__lat, self.__lon, lat, lon)
                 bear = fuzzy_to(self.__lat, self.__lon, lat, lon)
                 mem.comment = "(%imi %s) %s" % (dist, bear, mem.comment)
-            except Exception, e:
+            except Exception as e:
                 LOG.error("Failed to calculate distance: %s" % e)
 
         return mem
@@ -258,7 +258,7 @@ class RFinderParser:
                 mem.number = number
                 number += 1
                 self.__memories.append(mem)
-            except Exception, e:
+            except Exception as e:
                 import traceback
                 LOG.error(traceback.format_exc())
                 LOG.error("Error in received data, cannot continue")
@@ -287,7 +287,7 @@ class RFinderRadio(chirp_common.NetworkSourceRadio):
 
         self._rfp = None
 
-    def set_params(self, (lat, lon), miles, email, password):
+    def set_params(self, lat, long, miles, email, password):
         """Sets the parameters to use for the query"""
         self._lat = lat
         self._lon = lon
