--- chirp/drivers/tk760g.py.orig	2020-10-05 17:58:02 UTC
+++ chirp/drivers/tk760g.py
@@ -263,13 +263,13 @@ struct {
 
 MEM_SIZE = 0x8000  # 32,768 bytes
 BLOCK_SIZE = 256
-BLOCKS = MEM_SIZE / BLOCK_SIZE
-MEM_BLOCKS = range(0, BLOCKS)
+BLOCKS = int(MEM_SIZE / BLOCK_SIZE)
+MEM_BLOCKS = list(range(0, BLOCKS))
 
 # define and empty block of data, as it will be used a lot in this code
 EMPTY_BLOCK = "\xFF" * 256
 
-RO_BLOCKS = range(0x10, 0x1F) + range(0x59, 0x5f)
+RO_BLOCKS = list(range(0x10, 0x1F)) + list(range(0x59, 0x5f))
 ACK_CMD = "\x06"
 
 POWER_LEVELS = [chirp_common.PowerLevel("Low", watts=1),
@@ -812,7 +812,7 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
         # building the data for the memmap
         fdata = ""
 
-        for k, v in data.iteritems():
+        for k, v in list(data.items()):
             # posible bad data
             if k == 0:
                 k = 1
@@ -907,7 +907,7 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
             do_upload(self)
         except errors.RadioError:
             raise
-        except Exception, e:
+        except Exception as e:
             raise errors.RadioError("Failed to communicate with radio: %s" % e)
 
     def process_mmap(self):
@@ -1304,32 +1304,32 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
         # The Mobile only parameters are wraped here
         if self.TYPE[0] == "M":
             vu = RadioSetting("keys.kVOL_UP", "VOL UP",
-                              RadioSettingValueList(KEYS.values(),
-                              KEYS.values()[KEYS.keys().index(
+                              RadioSettingValueList(list(KEYS.values()),
+                              list(KEYS.values())[list(KEYS.keys()).index(
                                   int(keys.kVOL_UP))]))
             fkeys.append(vu)
 
             vd = RadioSetting("keys.kVOL_DOWN", "VOL DOWN",
-                              RadioSettingValueList(KEYS.values(),
-                              KEYS.values()[KEYS.keys().index(
+                              RadioSettingValueList(list(KEYS.values()),
+                              list(KEYS.values())[list(KEYS.keys()).index(
                                   int(keys.kVOL_DOWN))]))
             fkeys.append(vd)
 
             chu = RadioSetting("keys.kCH_UP", "CH UP",
-                               RadioSettingValueList(KEYS.values(),
-                               KEYS.values()[KEYS.keys().index(
+                               RadioSettingValueList(list(KEYS.values()),
+                               list(KEYS.values())[list(KEYS.keys()).index(
                                    int(keys.kCH_UP))]))
             fkeys.append(chu)
 
             chd = RadioSetting("keys.kCH_DOWN", "CH DOWN",
-                               RadioSettingValueList(KEYS.values(),
-                               KEYS.values()[KEYS.keys().index(
+                               RadioSettingValueList(list(KEYS.values()),
+                               list(KEYS.values())[list(KEYS.keys()).index(
                                    int(keys.kCH_DOWN))]))
             fkeys.append(chd)
 
             foot = RadioSetting("keys.kFOOT", "Foot switch",
-                               RadioSettingValueList(KEYS.values(),
-                               KEYS.values()[KEYS.keys().index(
+                               RadioSettingValueList(list(KEYS.values()),
+                               list(KEYS.values())[list(KEYS.keys()).index(
                                    int(keys.kCH_DOWN))]))
             fkeys.append(foot)
 
@@ -1342,8 +1342,8 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
                 scn_name = "Open Circle"
 
             scn = RadioSetting("keys.kSCN", scn_name,
-                               RadioSettingValueList(KEYS.values(),
-                               KEYS.values()[KEYS.keys().index(
+                               RadioSettingValueList(list(KEYS.values()),
+                               list(KEYS.values())[list(KEYS.keys()).index(
                                    int(keys.kSCN))]))
             fkeys.append(scn)
 
@@ -1352,8 +1352,8 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
                 a_name = "Closed circle"
 
             a = RadioSetting("keys.kA", a_name,
-                             RadioSettingValueList(KEYS.values(),
-                             KEYS.values()[KEYS.keys().index(
+                             RadioSettingValueList(list(KEYS.values()),
+                             list(KEYS.values())[list(KEYS.keys()).index(
                                  int(keys.kA))]))
             fkeys.append(a)
 
@@ -1362,8 +1362,8 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
                 da_name = "< key"
 
             da = RadioSetting("keys.kDA", da_name,
-                              RadioSettingValueList(KEYS.values(),
-                              KEYS.values()[KEYS.keys().index(
+                              RadioSettingValueList(list(KEYS.values()),
+                              list(KEYS.values())[list(KEYS.keys()).index(
                                   int(keys.kDA))]))
             fkeys.append(da)
 
@@ -1372,8 +1372,8 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
                 gu_name = "Side 1"
 
             gu = RadioSetting("keys.kGROUP_UP", gu_name,
-                              RadioSettingValueList(KEYS.values(),
-                              KEYS.values()[KEYS.keys().index(
+                              RadioSettingValueList(list(KEYS.values()),
+                              list(KEYS.values())[list(KEYS.keys()).index(
                                   int(keys.kGROUP_UP))]))
             fkeys.append(gu)
 
@@ -1383,8 +1383,8 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
             gd_name = "> key"
 
         gd = RadioSetting("keys.kGROUP_DOWN", gd_name,
-                          RadioSettingValueList(KEYS.values(),
-                          KEYS.values()[KEYS.keys().index(
+                          RadioSettingValueList(list(KEYS.values()),
+                          list(KEYS.values())[list(KEYS.keys()).index(
                               int(keys.kGROUP_DOWN))]))
         fkeys.append(gd)
 
@@ -1393,8 +1393,8 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
             mon_name = "Side 2"
 
         mon = RadioSetting("keys.kMON", mon_name,
-                           RadioSettingValueList(KEYS.values(),
-                           KEYS.values()[KEYS.keys().index(
+                           RadioSettingValueList(list(KEYS.values()),
+                           list(KEYS.values())[list(KEYS.keys()).index(
                                int(keys.kMON))]))
         fkeys.append(mon)
 
@@ -1479,7 +1479,7 @@ class Kenwood_Serie_60G(chirp_common.CloneModeRadio, c
 
                 # case keys, with special config
                 if inter == "keys":
-                    value = KEYS.keys()[KEYS.values().index(str(value))]
+                    value = list(KEYS.keys())[list(KEYS.values()).index(str(value))]
 
             # Apply al configs done
             setattr(obj, setting, value)
