--- chirp/pyPEG.py.orig	2020-09-08 18:53:20 UTC
+++ chirp/pyPEG.py
@@ -5,14 +5,13 @@
 import re
 import sys
 import codecs
-import exceptions
 
 
-class keyword(unicode):
+class keyword(str):
     pass
 
 
-class code(unicode):
+class code(str):
     pass
 
 
@@ -30,10 +29,10 @@ class _not(_and):
     pass
 
 
-class Name(unicode):
+class Name(str):
     def __init__(self, *args):
         self.line = 0
-        self.file = u""
+        self.file = ""
 
 
 class Symbol(list):
@@ -47,13 +46,13 @@ class Symbol(list):
         return self.what
 
     def __unicode__(self):
-        return u'Symbol(' + repr(self.__name__) + ', ' + repr(self.what) + u')'
+        return 'Symbol(' + repr(self.__name__) + ', ' + repr(self.what) + ')'
 
     def __repr__(self):
-        return unicode(self)
+        return str(self)
 
-word_regex = re.compile(ur"\w+")
-rest_regex = re.compile(ur".*")
+word_regex = re.compile(r"\w+")
+rest_regex = re.compile(r".*")
 
 print_trace = False
 
@@ -61,14 +60,14 @@ print_trace = False
 def u(text):
     if isinstance(text, exceptions.BaseException):
         text = text.args[0]
-    if type(text) is unicode:
+    if type(text) is str:
         return text
     if isinstance(text, str):
         if sys.stdin.encoding:
             return codecs.decode(text, sys.stdin.encoding)
         else:
             return codecs.decode(text, "utf-8")
-    return unicode(text)
+    return str(text)
 
 
 def skip(skipper, text, skipWS, skipComments):
@@ -126,8 +125,8 @@ class parser(object):
                 if print_trace:
                     try:
                         if _pattern.__name__ != "comment":
-                            sys.stderr.write(u"match: " +
-                                             _pattern.__name__ + u"\n")
+                            sys.stderr.write("match: " +
+                                             _pattern.__name__ + "\n")
                     except:
                         pass
 
@@ -171,9 +170,9 @@ class parser(object):
                 if print_trace:
                     try:
                         if pattern.__name__ != "comment":
-                            sys.stderr.write(u"testing with " +
-                                             pattern.__name__ + u": " +
-                                             textline[:40] + u"\n")
+                            sys.stderr.write("testing with " +
+                                             pattern.__name__ + ": " +
+                                             textline[:40] + "\n")
                     except:
                         pass
 
@@ -188,7 +187,7 @@ class parser(object):
 
         pattern_type = type(pattern)
 
-        if pattern_type is str or pattern_type is unicode:
+        if pattern_type is str or pattern_type is str:
             if text[:len(pattern)] == pattern:
                 text = skip(self.skipper, text[len(pattern):],
                             skipWS, skipComments)
@@ -287,13 +286,13 @@ class parser(object):
                 syntaxError()
 
         else:
-            raise SyntaxError(u"illegal type in grammar: " + u(pattern_type))
+            raise SyntaxError("illegal type in grammar: " + u(pattern_type))
 
     def lineNo(self):
         if not(self.lines):
-            return u""
+            return ""
         if self.restlen == -1:
-            return u""
+            return ""
         parsed = self.textlen - self.restlen
 
         left, right = 0, len(self.lines)
@@ -305,21 +304,21 @@ class parser(object):
                     if self.lines[mid + 1][0] >= parsed:
                         try:
                             return u(self.lines[mid + 1][1]) + \
-                                   u":" + u(self.lines[mid + 1][2])
+                                   ":" + u(self.lines[mid + 1][2])
                         except:
-                            return u""
+                            return ""
                     else:
                         left = mid + 1
                 except:
                     try:
                         return u(self.lines[mid + 1][1]) + \
-                               u":" + u(self.lines[mid + 1][2])
+                               ":" + u(self.lines[mid + 1][2])
                     except:
-                        return u""
+                        return ""
             else:
                 right = mid - 1
             if left > right:
-                return u""
+                return ""
 
 
 # plain module APIs
@@ -353,7 +352,7 @@ def parse(language, lineSource, skipWS=True, skipComme
     while callable(language):
         language = language()
 
-    orig, ld = u"", 0
+    orig, ld = "", 0
     for line in lineSource:
         if lineSource.isfirstline():
             ld = 1
@@ -377,10 +376,10 @@ def parse(language, lineSource, skipWS=True, skipComme
         if text:
             raise SyntaxError()
 
-    except SyntaxError, msg:
+    except SyntaxError as msg:
         parsed = textlen - p.restlen
         textlen = 0
-        nn, lineNo, file = 0, 0, u""
+        nn, lineNo, file = 0, 0, ""
         for n, ld, l in lines:
             if n >= parsed:
                 break
@@ -392,7 +391,7 @@ def parse(language, lineSource, skipWS=True, skipComme
         lineNo += 1
         nn -= 1
         lineCont = orig.splitlines()[nn]
-        raise SyntaxError(u"syntax error in " + u(file) + u":" +
-                          u(lineNo) + u": " + lineCont)
+        raise SyntaxError("syntax error in " + u(file) + ":" +
+                          u(lineNo) + ": " + lineCont)
 
     return result
